WordPress.org

Plugin Directory

Disqus Recent Comments Widget

Disqus has dropped support for their recent comments widget. This plugin creates a configurable widget that will display your latest Disqus comments.

Why did the comments stop appearing?

Disqus caps the number of requests you can make to their api at 1000 an hour for free accounts. If you have caching enabled (the checkbox in the admin section is unchecked), the plugin will only retrieve new comments once a minute. If you're hitting the request limit, make sure you haven't disabled caching. Developers, the time in between requests is filterable through the disqus_rcw_cache_time filter. If you need help changing this filter, please post in the support forums.

I blocked a user, but their comments are still appearing

Make sure you entered the exact author name. The plugin does its best to account for spaces, capitalization, etc but it can't read your mind. If all else fails, copy/paste their name into the filtered users field.

I can't figure out this API key stuff, help?

Please see this guide: http://deusmachine.com/disqus-instructions.php

I found a bug or I have an idea for a new feature

Fork the project and send us a pull request! We'll be happy to give you a shout out in the release notes. https://github.com/andrewbartel/Disqus_Recent_Comments If you're not a developer, you can always drop us a line in the support forums and we'll do our best to integrate your requests into the next version or tackle the bug you found.

Where can I find the original version of the script that this plugin was based on?

You can view the original blog post on Aaron's site: http://www.aaronjwhite.org/index.php/14-web-development/php/11-updated-recent-comments-widget-in-php-for-disquss-api Or, you can check out the script on github: https://github.com/AaronJWhite/Disqus_Recent_Comments

Is the plugin available in languages other than English?

Not currently, but if you'd like to put together a translation for us, please do! We'll happily give you credit in the release notes.

Requires: 3.4.1 or higher
Compatible up to: 4.0.5
Last Updated: 2014-9-22
Active Installs: 2,000+

Ratings

4.4 out of 5 stars

Support

1 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

1 person says it works.
0 people say it's broken.

100,2,2
100,1,1
50,2,1 100,2,2
50,2,1
100,2,2
100,2,2 100,1,1
100,1,1
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1